Sequences

Update Sequence Priority Distribution

PATCH /v1/sequences/{sequenceId}/priority-distribution

PATCH/v1/sequences/{sequenceId}/priority-distribution
PATCH
/v1/sequences/{sequenceId}/priority-distribution

Update priority distribution for a sequence

Sets how outreach emails are prioritised across the sequence steps. Pass the preset id in the request body as priorityDistributionId.

Preset reference:

  • 1Prioritise Follow-Ups: more emails will be sent from follow-up steps.
  • 2Prioritise New Prospects: more emails will be sent from the first step.
  • 3Balanced Sending: equal number of emails from each step.
  • 4Aggressively Prioritise New Prospects: up to 80% of emails from the first step.
Example body: { "priorityDistributionId": 3 }

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

priorityDistributionIdstring

Priority distribution preset id. 1 = Prioritise Follow-Ups (more emails from follow-up steps). 2 = Prioritise New Prospects (more emails from the first step). 3 = Balanced Sending (equal across steps). 4 = Aggressively Prioritise New Prospects (~80% from the first step).

Example: 3Value in: "PrioritiseFollowUps" | "PrioritiseNewProspects" | "BalancedSending" | "AggressivelyPrioritiseNewProspects"

Path Parameters

sequenceIdstring

The ID of the sequence

Responses

200
Priority distribution updated

Request

curl -X PATCH \
  "https://open-api.saleshandy.com/v1/sequences/{sequenceId}/priority-distribution" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "priorityDistributionId": 3
}'

Response

No response body